SoOnOff(3)

NAME
SoOnOff - The SoOnOff engine is a simple on/off switch.

SYNOPSIS

#include <Inventor/engines/SoOnOff.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoOnOff (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFTrigger on
SoSFTrigger off
SoSFTrigger toggle
SoEngineOutput isOn
SoEngineOutput isOff

  Protected Member Functions
virtual ~SoOnOff (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoOnOff engine is a simple on/off switch.

Constructor & Destructor Documentation

  SoOnOff::SoOnOff (void)
Default constructor.

  SoOnOff::~SoOnOff (void) [protected], [virtual]
Destructor is protected because engines are reference counted.

Member Function Documentation

  SoType SoOnOff::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoOnOff::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoOnOff::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoOnOff::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoOnOff::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoOnOff::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoOnOff::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoSFTrigger SoOnOff::on
An input signal on this trigger makes the SoOnOff::isOn output become TRUE.

  SoSFTrigger SoOnOff::off
An input signal on this trigger makes the SoOnOff::isOn output become FALSE.

  SoSFTrigger SoOnOff::toggle
An input signal on this trigger toggles the TRUE or FALSE value of the SoOnOff::isOn output.

  SoEngineOutput SoOnOff::isOn
(SoSFBool) Whether the engine is 'on' or not.

  SoEngineOutput SoOnOff::isOff
(SoSFBool) Always the opposite value of SoOnOff::isOn.

Author

Generated automatically by Doxygen for Coin from the source code.